Infra APIDatabases

Disable client-access on a database

Restores master-token-only auth on db-proxy.

POST/api/v1/databases/{db_id}/client-access/disable

Restores master-token-only auth on db-proxy.

Authorization

BearerAuth
AuthorizationBearer <token>

Supabase JWT Bearer token

In: header

Path Parameters

db_id*string

Database ID

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/databases/string/client-access/disable"
{  "client_mode_enabled": true,  "created_at": "string",  "function_id": "string",  "host": "string",  "id": "string",  "name": "string",  "pg_database": "string",  "pg_user": "string",  "status": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}